### Method

# Hex Document compare_data_full

since: 4.2

#### Declaration

    int
    hex_document_compare_data_full (
      HexDocument* doc,
      HexDocumentFindData* find_data,
      gint64 pos
    )

#### Description

Full version of `hex_document_compare_data()` to allow data comparisons broader than byte-for-byte matches only. However, it is less convenient than the above since it requires the caller to allocate and free a `HexDocumentFindData` structure.

Available since: 4.2

#### Parameters

`find_data`

  Type: `HexDocumentFindData`

  A `HexDocumentFindData` structure.

  The data is owned by the caller of the method.

`pos`

  Type: `gint64`

  Offset position of the `HexDocument` data to compare with the string contained in the `find_data` structure.

#### Return value

Type: `int`

0 if the comparison is an exact match; otherwise, a non-zero value is returned.